### Method

# Gio DBusMethodInvocation get_method_info

since: 2.26

#### Declaration

    const GDBusMethodInfo*
    g_dbus_method_invocation_get_method_info (
      GDBusMethodInvocation* invocation
    )

#### Description

Gets information about the method call, if any.

If this method invocation is a property Get, Set or GetAll call that has been redirected to the method call handler then `NULL` will be returned. See `g_dbus_method_invocation_get_property_info()` and `GDBusInterfaceVTable` for more information.

Available since: 2.26

#### Return value

Type: `GDBusMethodInfo`

A `GDBusMethodInfo` or `NULL`. Do not free, it is owned by `invocation`.

The returned data is owned by the instance.
The return value can be `NULL`.